<?


require'config.php';
$align='left';
$title='Информация';
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...

switch($mod){
default:
echo rowup.'&#187; <a href="ustav">Правила чата</a><br/>'.div;

echo rowup.'&#187; <a href="faq?mod=adm">Администрация</a><br/>'.div;
echo rowup.'&#187; <a href="'.H.'smiles/">Смайлы</a><br/>'.div;
echo rowup.'&#187; <a href="faq?mod=trun">Правила транслита</a><br/>'.div;
echo '<dl></dl>';
echo rowup.'&#187; <a href="faq?mod=stat">Статистика</a><br/>'.div;
echo rowup.'&#187; <a href="'.H.'board">Доска почета</a><br/>'.div;
break;


case 'adm':
$lad = @$db->sql_fetchrow($db->sql_query ("Select name from levels where level='9'"));
echo "<b>".$lad['name']."'ы</b><br/>";
$r = $db->sql_query("SELECT id,user FROM users WHERE level='9'");
if (mysql_affected_rows() == 0) echo 'Пока нет...';
while ($a = $db->sql_fetchrow($r)){echo "<a href=\"".H.$a['id']."\">".nik($a['id'])."</a><br/>";}
echo "<dl><dt></dt></dl>";
$lad = @$db->sql_fetchrow($db->sql_query ("Select name from levels where level='8'"));
echo "<b>".$lad['name']."'ы</b><br/>";
$r = $db->sql_query("SELECT id,user FROM users WHERE level='8'");
if (mysql_affected_rows() == 0) echo 'Пока нет...<br />';
while ($a = $db->sql_fetchrow($r)){echo "<a href=\"".H.$a['id']."\">".nik($a['id'])."</a><br/>";}
echo "<dl><dt></dt></dl>";
$lad = @$db->sql_fetchrow($db->sql_query ("Select name from levels where level='7'"));
echo "<b>".$lad['name']."'ы</b><br/>";
$r = $db->sql_query("SELECT id,user FROM users WHERE level='7'");
if (mysql_affected_rows() == 0) echo 'Пока нет...<br />';
while ($a = $db->sql_fetchrow($r)){echo "<a href=\"".H.$a['id']."\">".nik($a['id'])."</a><br/>";}
echo "<dl><dt></dt></dl>";
$lad = @$db->sql_fetchrow($db->sql_query ("Select name from levels where level='6'"));
echo "<b>".$lad['name']."'ы</b><br/>";
$r = $db->sql_query("SELECT id,user FROM users WHERE level='6'");
if (mysql_affected_rows() == 0) echo 'Пока нет...<br />';
while ($a = $db->sql_fetchrow($r)){echo "<a href=\"".H.$a['id']."\">".nik($a['id'])."</a><br/>";}
echo "<dl><dt></dt></dl>";
$lad = @$db->sql_fetchrow($db->sql_query ("Select name from levels where level='5'"));
echo "<b>".$lad['name']."'ы</b><br/>";
$r = $db->sql_query("SELECT id,user FROM users WHERE level='5'");
if (mysql_affected_rows() == 0) echo 'Пока нет...<br />';
while ($a = $db->sql_fetchrow($r)){echo "<a href=\"".H.$a['id']."\">".nik($a['id'])."</a><br/>";}
echo "<dl><dt></dt></dl>";
$lad = @$db->sql_fetchrow($db->sql_query ("Select name from levels where level='4'"));
echo "<b>".$lad['name']."'ы</b><br/>";
$r = $db->sql_query("SELECT id,user FROM users WHERE level='4'");
if (mysql_affected_rows() == 0) echo 'Пока нет...<br />';
while ($a = $db->sql_fetchrow($r)){echo "<a href=\"".H.$a['id']."\">".nik($a['id'])."</a><br/>";}

break;

case 'trun':

?>
<br />
a(A)-а(А)<br/>
b(B)-б(Б)<br/>
v(V)-в(В)<br/>
g(G)-г(Г)<br/>
d(D)-д(Д)<br/>
e(E)-е(Е)<br/>
j(J)-ж(Ж)<br/>
z(Z)-з(З)<br/>
i(I)-и(И)<br/>
y(Y)-й(Й)<br/>
k(K)-к(К)<br/>
l(L)-л(Л)<br/>
m(M)-м(М)<br/>
n(N)-н(Н)<br/>
o(O)-о(О)<br/>
p(P)-п(П)<br/>
r(R)-р(Р)<br/>
s(S)-с(С)<br/>
t(T)-т(Т)<br/>
u(U)-у(У)<br/>
f(F)-ф(Ф)<br/>
h(H)-х(Х)<br/>
c(C)-ц(Ц)<br/>
ch(CH)-ч(Ч)<br/>
w(W)-ш(Ш)<br/>
sc(SC)-щ(Щ)<br/>
"("")-ъ(Ъ)<br/>
x(X)-ы(Ы)<br/>
'('')-ь(Ь)<br/>
ye(YE)-э(Э)<br/>
yu(YU)-ю(Ю)<br/>
ya(YA)-я(Я)<br/>
<?
break;

case 'stat':
$users=$db->sql_fetchfield($db->sql_query("SELECT count(id) FROM users"),0);
$usersm=$db->sql_fetchfield($db->sql_query("SELECT count(id) FROM users where sex='1'"),0);
$usersj=$db->sql_fetchfield($db->sql_query("SELECT count(id) FROM users where sex='0'"),0);
echo 'Всего юзеров: <a href="faq?mod=users"><b>'.$users.'</b></a><br/>';
echo 'Парней: <a href="faq?mod=users&amp;sex=1">'.$usersm.'</a><br/>';
echo 'Девушек: <a href="faq?mod=users&amp;sex=0">'.$usersj.'</a><br/>';
echo '<dt></dt>';

$newtoday=$db->sql_fetchfield($db->sql_query("SELECT count(*) from users WHERE date = '".date("d-m-Y")."'"),0);
echo 'Новенькие сегодня: <a href="faq?mod=newtoday">'.$newtoday.'</a><br/>';

$vn=$db->sql_fetchfield($db->sql_query ("select count(*) as num from users WHERE visit>'".date("Y.m.d.")."'"),0);
echo 'Нас сегодня посетили: <a href="faq?mod=last">'.$vn.'</a><br/>';


$birth = $db->sql_fetchfield($db->sql_query ("Select count(*) from users where day = '".date("d")."' and month = '".date("m")."'"),0);
echo "Именинники сегодня: <a href=\"faq?mod=birthday\">".$birth."</a><br/>";
echo '<dt></dt>';
$banned=$db->sql_fetchfield($db->sql_query("SELECT count(*) FROM bannlist"),0);
echo "Забанненные: ".$banned."<br/>";
echo '<dt></dt>';

//$files= @$db->sql_fetchfield(@$db->sql_query("SELECT count(*) FROM `fo_files`;"), 0);
//echo "Файлов в обменнике: <b>".$files."</b><br/>";
//echo "Фото в альбомах: <b>".$itog__foto_albom['count(*)']."</b><br/>";

$k_rooms=$db->sql_fetchfield($db->sql_query("select COUNT(*) from message;"),0);
echo "Сообщений в чате: <b>".$k_rooms."</b><br/>";
echo "Сообщений в форуме: <b>".$db->sql_fetchfield($db->sql_query("SELECT count(*) FROM `forum_msg`;"), 0)."</b><br/>";
echo "Тем в форуме: <b>".$db->sql_fetchfield($db->sql_query("SELECT count(*) FROM `forum_t`;"), 0)."</b><br/>";
echo "Разделов: <b>".$db->sql_fetchfield($db->sql_query("SELECT count(*) FROM `forum_r`;"), 0)."</b><br/>";
echo "Форумов: <b>".$db->sql_fetchfield($db->sql_query("SELECT count(*) FROM `forum_f`;"), 0)."</b><br/>";
echo "Записок в базе: <b>".$db->sql_fetchfield($db->sql_query("SELECT count(*) FROM `privat`;"), 0)."</b><br/>";
break;

case 'users':
if(empty($_GET['order']))$order = 'id';
else $order = check($_GET['order']);

if($_GET['desc']=='') $desc = '';
else $desc = check($_GET['desc']);

if($_GET['sex']=='') $sex = '';
else $sex = check($_GET['sex']);

if($sex=='')echo 'Все|<a href="faq?mod='.$mod.'&amp;sex=1">Парни</a>|<a href="faq?mod='.$mod.'&amp;sex=0">Девушки</a>';
else if($sex==1)echo '<a href="faq?mod='.$mod.'">Все</a>|Парни|<a href="faq?mod='.$mod.'&amp;sex=0">Девушки</a>';
else if($sex==0)echo '<a href="faq?mod='.$mod.'&amp;sex=">Все</a>|<a href="faq?mod='.$mod.'&amp;sex=1">Парни</a>|Девушки';

echo '<br />Сортировать:<br />По: ';
$arr = array('id-ID','timereg-Дата реги','level-Уровень','posts-Посты','rur-Деньги','vote_us-Рейтинг','onl-Посл. авт.');
foreach($arr as $v){
list ($o,$n) = explode('-',$v);
if($order!=$o)echo '<a href="faq?mod='.$mod.'&amp;desc='.$desc.'&amp;order='.$o.'">'.$n.'</a>|';
else echo ''.$n.'|';
}
echo '<br />Порядок:';

$ar = array('-123','desc-321');
foreach($ar as $d){
list ($d,$n) = explode('-',$d);
if($desc!=$d)echo '<a href="faq?mod='.$mod.'&amp;order='.$order.'&amp;desc='.$d.'">'.$n.'</a>|';
else echo ''.$n.'|';
}
echo '<br />';

if($sex!='')$sexi = 'where sex = "'.$sex.'"';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users ".$sexi.""),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users ".$sexi." order by ".$order." ".$desc." LIMIT $start, $max");
if ($k_post == 0)echo '<br />Список пуст...<br />';
else{
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'ID: <b>'.$a[id].'</b> <b>'.nik($a[id]).'</b> ('.$a[posts].' постов)'.div;
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('faq?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}
break;


case 'newtoday':

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users where date = '".date("d-m-Y")."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users where date = '".date("d-m-Y")."' order by id LIMIT $start, $max");
if ($k_post == 0)echo '<br />Список пуст...<br />';
else{
echo 'Сегодня зарег-лось <b>'.$k_post.'</b> чел.<br />';
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.nik($a[id]).'</b> Зарег-ся в '.date("H:i", $a[timereg]).''.div;
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('faq?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}
break;

case 'last':

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users where visit>'".date("Y.m.d.")."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users where visit>'".date("Y.m.d.")."' order by id LIMIT $start, $max");
if ($k_post == 0)echo '<br />Список пуст...<br />';
else{
echo 'Посетителей сегодня <b>'.$k_post.'</b> чел.<br />';
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.nik($a[id]).'</b> В '.date("H:i", $a[onl]).''.div;
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('faq?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}
break;


case 'birthday':

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from users where day = '".date("d")."' and month = '".date("m")."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from users where day = '".date("d")."' and month = '".date("m")."' order by id LIMIT $start, $max");
if ($k_post == 0)echo '<br />Список пуст...<br />';
else{
echo 'Именинников сегодня <b>'.$k_post.'</b> чел.<br />';
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'показаны '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
}
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.nik($a[id]).'</b> В '.date("H:i", $a[timereg]).''.div;
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('faq?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}
break;

}
echo "<br/>";
if ($mod)echo gb.'<a href="faq">Информация</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>